## pidgin-latex 1.5.0

=== Makefile ===
#
# pidgin-latex Makefile
#
# Copyright 2004-2009 Edouard Geuten <thegrima AT altern DOT org>
#
# Heavily inspired and copied from :
# Gaim Extended Preferences Plugin Main Makefile
# Copyright 2004-2009 Kevin Stange <extprefs@simguy.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

CC := gcc
LIBTOOL := libtool

ifeq ($(PREFIX),)
  LIB_INSTALL_DIR = $(HOME)/.purple/plugins
else
  LIB_INSTALL_DIR = $(PREFIX)/lib/pidgin
endif

PIDGIN_LATEX = LaTeX

PIDGIN_CFLAGS  = $(shell pkg-config pidgin --cflags)
GTK_CFLAGS   = $(shell pkg-config gtk+-2.0 --cflags)
PIDGIN_LIBS    = $(shell pkg-config pidgin --libs)
GTK_LIBS     = $(shell pkg-config gtk+-2.0 --libs)
PIDGIN_LIBDIR  = $(shell pkg-config --variable=libdir pidgin)/pidgin

all: $(PIDGIN_LATEX).so

install: all
	mkdir -p $(LIB_INSTALL_DIR)
	cp $(PIDGIN_LATEX).so $(LIB_INSTALL_DIR)

$(PIDGIN_LATEX).so: $(PIDGIN_LATEX).o
	$(CC) $(LDFLAGS) -shared $(CFLAGS) $< -o $@ $(PIDGIN_LIBS) $(GTK_LIBS) -Wl,--export-dynamic -Wl,-soname

$(PIDGIN_LATEX).o:$(PIDGIN_LATEX).c $(PIDGIN_LATEX).h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@ $(PIDGIN_CFLAGS) $(GTK_CFLAGS) -DHAVE_CONFIG_H

clean:
	rm -rf *.o *.c~ *.h~ *.so *.la .libs

## pidgin-latex 1.4.4

=== debian/changelog ===
pidgin-latex (1.4.4-2) unstable; urgency=low

  * debian/patches/01_security_issue.patch: Added. (Closes: #685888)
    + This fix insufficient validation of LaTeX code and avoid
      access to user local information.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 30 Aug 2012 20:39:08 -0500

pidgin-latex (1.4.4-1) unstable; urgency=low

  * Initial release (Closes: #520658, #609723)

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Fri, 01 Jul 2011 16:45:59 -0500

=== debian/control ===
Source: pidgin-latex
Section: net
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 8.0.0), pidgin-dev (>= 2.0.0)
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/pidgin-latex

Package: pidgin-latex
Architecture: any
Conflicts: gaim-encryption
Depends: ${shlibs:Depends}, ${misc:Depends}, pidgin (>= 2.7.3), dvipng, texlive-latex-base
Description: Pidgin plugin to display LaTeX formulas
 Plugin for Pidgin which translates LaTeX code into images in your
 IM and chat conversations. This plugin looks for $$latex math$$
 patterns and replaces them with the rendered LaTeX output.
 As this is a local conversion only your buddies will have to install this
 plugin too to see the LaTeX rendering.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/pidgin-latex/usr

## pidgin-latex 1.5.0

=== debian/changelog ===
pidgin-latex (1.5.0-2) unstable; urgency=medium

  * Maintain package in Salvage team
    Closes: #1098460
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #1094679
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Mar 2025 07:34:23 +0100

pidgin-latex (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.4
  * Bump debhelper compat to 9
  * Upstream fixed background color in rendered images (Closes: #699009)
  * debian/copyright
    + Updated copyright format
  * debian/rules
    + Append CPPFLAGS to CFLAGS

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 03 Apr 2013 14:57:08 -0500

=== debian/control ===
Source: pidgin-latex
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Elías Alejandro Año Mendoza <ealmdz@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pidgin-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/pidgin-latex
Vcs-Git: https://salsa.debian.org/salvage-team/pidgin-latex.git
Homepage: http://sourceforge.net/projects/pidgin-latex

Package: pidgin-latex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pidgin,
         dvipng,
         texlive-latex-base
Conflicts: gaim-encryption
Description: Pidgin plugin to display LaTeX formulas
 Plugin for Pidgin which translates LaTeX code into images in your
 IM and chat conversations. This plugin looks for $$latex math$$
 patterns and replaces them with the rendered LaTeX output.
 As this is a local conversion only your buddies will have to install this
 plugin too to see the LaTeX rendering.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
-
-LDFLAGS+=-Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND = -Wall $(shell dpkg-buildflags --get CPPFLAGS)
 
 %:
 	dh $@

=== debian/watch ===
version=4

http://sf.net/pidgin-latex/pidgin-latex_(.*)\.tar\.gz
